# autorpm.conf - AutoRPM Configuration File
#   This file is editted for use on FNALU Linux nodes.
#   It will only report and not automtically apply updates
#   12 Nov 2001  Ken Schumacher <kschu@fnal.gov>
#
#######################################################
# Created by Kirk Bauer <kirk@kaybee.org>
# http://www.kaybee.org/~kirk
# Modified by Dan Yocum <yocum@fnal.gov>
# http://www.fnal.gov/cd/unix/linux
##########################################################

# See /usr/doc/autorpm*/samples.conf for some samples
# `man autorpm.conf` for details

# Put your version of Fermi Linux here:
Eval_Var("Version", "sed 's/\(.* Linux \)\?.elease \([^ ]*\) (.*)/\2/' /etc/redhat-release | sed 's/5.0/502/' | sed 's/\.//g'");
Set_Var("Arch", "i386");

# Determine the workgroup
Set_Var("Workgroup","");
Read_Var("Workgroup","/etc/workgroup");

Report_Queues_To ("scs-root@fnal.gov");

# Try connecting to FTP sites 10 times with 30-7200 seconds
# delay between each try.
FTP_Retries ("10");
FTP_Retry_Delay ("30", "7200");

##########################################################
# This is to install extra packages for the workgroup you chose during 
# installation (listed in /etc/workgroup).

ftppool ("workgroup-updates") {

   #Report_To ("root");
   Report_To("");

   # Don't upgrade kernel packages...
   Regex_Ignore ("^kernel-");

   action (updated) {

      Ignore_On_Failure(Yes);

      # Automatically install these official updates
      Install (Interactive);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/${Workgroup}-rpm-updates/i386");
   }

   action (new) {

      Ignore_On_Failure(Yes);

      # Automatically install these new updates
      Install (Interactive);

      Report (Yes);

      # Uncomment the next line to keep local copies of the installs..
      # Store ("/${Workgroup}-rpm-installs/i386");
   }
}


##########################################################
# On occasion we realize that we've accidentally omitted a package from the 
# default installation that will enhance the usability a machine.  These are 
# not mission critical packages.. just niceities.

# This is the Fermi Linux add-ons directory...
ftppool ("addons") {

   #Report_To ("root");
   Report_To ("");

   # Don't upgrade kernel packages...
   Regex_Ignore ("^kernel-");

   action (new) {

      Ignore_On_Failure(Yes);

      # Automatically install these new updates
      Install (Interactive);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/FL-rpm-addons/i386");
   }
}

##########################################################
# This will keep your computer current with Red Hat's updates for 
# Fermi Linux:

# The second line is the local Fermi 521 security mirror.  Comment it out and
# uncomment the first line if you want ALL updates, security related and 
# feature enhancements.

ftppool ("updates") {

   #Report_To ("root");
   Report_To ("");

   # Don't upgrade kernel packages...
   Regex_Ignore ("^kernel-");

   action (updated) {

      Ignore_On_Failure(Yes);

      # Automatically install these official updates
      Install (Interactive);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/FL-${Version}-updates/i386");
   }

   action (new) {

      Ignore_On_Failure(Yes);

      # Interactively install these new updates
      Install (No);

      Report (No);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/FL-${Version}-updates/i386");
   }
}


